<!DOCTYPE html>
<html lang="en" class="govuk-template ">

<head>
    <meta charset="utf-8">
    <title>DWP Acronym Lookup Service - Suggest an Acronym</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover">
    <meta name="theme-color" content="#0b0c0c">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="shortcut icon" sizes="16x16 32x32 48x48" href="/assets/images/favicon.ico" type="image/x-icon">
    <link rel="mask-icon" href="/assets/images/govuk-mask-icon.svg" color="#0b0c0c">
    <link rel="apple-touch-icon" sizes="180x180" href="/assets/images/govuk-apple-touch-icon-180x180.png">
    <link rel="apple-touch-icon" sizes="167x167" href="/assets/images/govuk-apple-touch-icon-167x167.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/assets/images/govuk-apple-touch-icon-152x152.png">
    <link rel="apple-touch-icon" href="/assets/images/govuk-apple-touch-icon.png">
    <link href="/assets/css/main.css" rel="stylesheet" type="text/css">
</head>

<body class="govuk-template__body ">
<script>
    document.body.className = ((document.body.className) ? document.body.className + ' js-enabled' : 'js-enabled');
</script>
{% block header %}
    {% include "./components/header.njk" %}
{% endblock %}
<div class="govuk-width-container ">
    <main class="govuk-main-wrapper " id="main-content" role="main">
        <h1 class="govuk-heading-xl">DWP Acronym Lookup Service
            <a href="../home">
                <button class="govuk-button" data-module="govuk-button">
                    Home
                </button>
            </a>
        </h1>
        {% if err is defined  %}
            <div class="govuk-error-summary" data-module="govuk-error-summary">
                <div role="alert">
                    <h2 class="govuk-error-summary__title">
                        The username or password you have entered is incorrect.
                    </h2>
                </div>
            </div>
        {% endif %}
        <form method="post" action="/api/suggestion">
            <input type="hidden" name="csrf" value="{{ csrf }}" id="{{ 'suggestion-screen-csrf'}}">
            <fieldset class="govuk-fieldset">
                <legend class="govuk-fieldset__legend govuk-fieldset__legend--l">
                    <h1 class="govuk-fieldset__heading">
                        Suggest an acronym
                    </h1>
                </legend>
                <div class="govuk-form-group">
                    <label class="govuk-label" for="acronym">
                        Acronym
                    </label>
                    <div id="definition-hint" class="govuk-hint">
                        No special characters allowed.
                    </div>
                    <input class="govuk-input govuk-input--width-5" id="acronym" name="acronym" type="text" pattern="([A-Za-z0-9]{1,16})\w+" required>
                </div>
                <div class="govuk-form-group">
                    <label class="govuk-label" for="acronym">
                        Definition
                    </label>
                    <div id="definition-hint" class="govuk-hint">
                        What does the acronym stand for? (100-character limit).
                    </div>
                    <input class="govuk-input govuk-input--width-20" id="definition" name="definition" type="text" pattern="^.{1,100}$" required>
                </div>
                <div class="govuk-form-group">
                    <label class="govuk-label" for="description">
                        Description
                    </label>
                    <div id="description-hint" class="govuk-hint">
                        Any additional information goes here. (300-character limit).
                    </div>
                    <textarea class="govuk-textarea" id="description" name="description" rows="5" ></textarea>
                </div>
            </fieldset>
            <input type="submit" value="Submit" class="govuk-button govuk-button--start" data-module="govuk-button" pattern="^.{1,300}$">
        </form>
    </main>
</div>

{% block footer %}
    {% include "./components/footer.njk" %}
{% endblock %}
<script src="../../node_modules/govuk-frontend/govuk/all.js"></script>
<script>
    window.GOVUKFrontend.initAll()
</script>
</body>

</html>
